RDKit::RxnSanitizeException Class Reference

class for flagging sanitization errors More...

`#include <SanitizeRxn.h>`

Inheritance diagram for RDKit::RxnSanitizeException:

## Public Member Functions

| RxnSanitizeException (const char *msg)
| RxnSanitizeException (std::string msg)
const char * | what () const noexcept override
| ~RxnSanitizeException () noexcept override=default

## Detailed Description

class for flagging sanitization errors

Definition at line 45 of file SanitizeRxn.h.

## Constructor & Destructor Documentation

## RxnSanitizeException() [1/2]

RDKit::RxnSanitizeException::RxnSanitizeException | ( | const char * | msg | ) |

inline

Definition at line 47 of file SanitizeRxn.h.

## RxnSanitizeException() [2/2]

RDKit::RxnSanitizeException::RxnSanitizeException | ( | std::string | msg | ) |

inline

Definition at line 48 of file SanitizeRxn.h.

## ~RxnSanitizeException()

RDKit::RxnSanitizeException::~RxnSanitizeException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char* RDKit::RxnSanitizeException::what | ( |  | ) | const

inline override noexcept

Definition at line 49 of file SanitizeRxn.h.

The documentation for this class was generated from the following file:

- SanitizeRxn.h